package net.zenrindatacom.locationservice.sample.activity;

import android.content.Intent;
import android.os.Bundle;
import android.widget.TextView;

import net.zenrindatacom.locationservice.sample.locationlib.LocationLibConst;
import net.zenrindatacom.locationservice.sample.R;

import java.util.Arrays;

/**
 * 設定値取得結果画面
 *
 */
public class SettingConfirmActivity extends EdgeToEdgeCompatActivity {
    /**
     * onCreate
     */
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.setting_confirm_activity);

        Intent intent = getIntent();

        //プロバイダー
        TextView textView = findViewById(R.id.text_provider);
        String[] providers = intent.getStringArrayExtra(LocationLibConst.KEY_PROVIDER);
        if (providers != null) {
            textView.setText(Arrays.toString(providers));
        }

        //測位間隔
        textView = findViewById(R.id.text_interval);
        int iValue = intent.getIntExtra(LocationLibConst.KEY_INTERVAL, Integer.MIN_VALUE);
        if (iValue != Integer.MIN_VALUE) {
            textView.setText(String.valueOf(iValue));
        }

        //測位精度
        textView = findViewById(R.id.text_accuracy);
        float fValue = intent.getFloatExtra(LocationLibConst.KEY_ACCURACY_THRESHOLD, Float.MIN_VALUE);
        if (fValue != Float.MIN_VALUE) {
            textView.setText(String.valueOf(fValue));
        }

        //同一位置判定距離
        textView = findViewById(R.id.text_samePositionDeterminingDistance);
        iValue = intent.getIntExtra(LocationLibConst.KEY_SAME_POSITION_DETERMINING_DISTANCE, Integer.MIN_VALUE);
        if (iValue != Integer.MIN_VALUE) {
            textView.setText(String.valueOf(iValue));
        }

        //同一位置判定回数
        textView = findViewById(R.id.text_samePositionDeterminingCount);
        iValue = intent.getIntExtra(LocationLibConst.KEY_SAME_POSITION_DETERMINING_COUNT, Integer.MIN_VALUE);
        if (iValue != Integer.MIN_VALUE) {
            textView.setText(String.valueOf(iValue));
        }

        //パッケージ名
        textView = findViewById(R.id.text_packageName);
        String sValue = intent.getStringExtra(LocationLibConst.KEY_PACKAGE_NAME);
        if (sValue != null) {
            textView.setText(sValue);
        }

        //クラス名
        textView = findViewById(R.id.text_className);
        sValue = intent.getStringExtra(LocationLibConst.KEY_CLASS_NAME);
        if (sValue != null) {
            textView.setText(sValue);
        }

        //APIキー
        textView = findViewById(R.id.text_api_key);
        sValue = intent.getStringExtra(LocationLibConst.KEY_API_KEY);
        if (sValue != null) {
            textView.setText(sValue);
        }

        //ClientID
        textView = findViewById(R.id.text_client_id);
        sValue = intent.getStringExtra(LocationLibConst.KEY_CLIENT_ID);
        if (sValue != null) {
            textView.setText(sValue);
        }

        //秘密鍵
        textView = findViewById(R.id.text_secret_key);
        sValue = intent.getStringExtra(LocationLibConst.KEY_SECRET);
        if (sValue != null) {
            textView.setText(sValue);
        }

        //認証サーバ環境
        textView = findViewById(R.id.text_auth_env_key);
        iValue = intent.getIntExtra(LocationLibConst.KEY_AUTH_ENV,  Integer.MIN_VALUE);
        if (iValue !=  Integer.MIN_VALUE) {
            textView.setText(String.valueOf(iValue));
        }

        //デバッグモード
        textView = findViewById(R.id.text_debug);
        Bundle extras = intent.getExtras();
        if (extras != null) {
            for (String key : extras.keySet()) {
                if (key.equals(LocationLibConst.KEY_DEBUG)) {
                    boolean debug = intent.getBooleanExtra(LocationLibConst.KEY_DEBUG, false);
                    if (debug) {
                        textView.setText(getString(R.string.setting_confirm_label_debug_mode_on));
                    } else {
                        textView.setText(getString(R.string.setting_confirm_label_debug_mode_off));
                    }
                }
            }
        }
    }
}
